## org.eclipse.ocl.expressions.operations
Class TupleLiteralPartOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.TupleLiteralPartOperations

    public class TupleLiteralPartOperations

extends Object

A static utility class that provides operations related to 'Tuple Literal Part' model objects.

The following operations are supported:

- `Check Value Type`

Constructor Summary
`protected` `TupleLiteralPartOperations()`

Method Summary

`static

`<C,P> boolean`

`

`checkValueType(TupleLiteralPart<C,P> tupleLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)`
attribute.type = value.type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLiteralPartOperations

    protected TupleLiteralPartOperations()

Method Detail

### checkValueType

    public static <C,P> boolean checkValueType(TupleLiteralPart<C,P> tupleLiteralPart,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  attribute.type = value.type

  Parameters:
    `tupleLiteralPart` - The receiving 'Tuple Literal Part' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.